Bug 13480

Summary: radeonhd: kernel warning message about NMI with unknown reason
Product: xorg Reporter: Stefan Becker <chemobejk>
Component: Driver/radeonhdAssignee: Luc Verhaegen <lverhaegen>
Status: RESOLVED WONTFIX QA Contact: Xorg Project Team <xorg-team>
Severity: minor    
Priority: medium CC: fry.kun, hun, lverhaegen
Version: git   
Hardware: Other   
OS: All   
URL: http://lists.opensuse.org/radeonhd/2007-10/msg00233.html
Whiteboard:
i915 platform: i915 features:

Description Stefan Becker 2007-12-01 04:19:22 UTC
When using radeonhd driver I get randomly once in a while the following warning messages from the kernel:

 kernel: Uhhuh. NMI received for unknown reason a0 on CPU 0.
 kernel: You have some hardware problem, likely on the PCI bus.
 kernel: Dazed and confused, but trying to continue

As far as I remember these messages started to appear with the following commit:

  commit 1103f74dc04e80f47a84367771e6b981d6a902ac

My current version is:

(II) RADEONHD: version 1.0.0, built from git branch master, commit 9fe776ed
Comment 1 Luc Verhaegen 2007-12-03 07:31:43 UTC
Hrm, yes, with this change, the card no longer listens to x86 IO accesses.

I will try and check whether we can have working lid close even through allowing this.
Comment 2 Hans Ulrich Niedermann 2007-12-03 09:22:22 UTC
I have seen "spurious NMI" messages when using fglrx a while past. It seems that those NMI are something inherent to the ATI chips.
Comment 3 Egbert Eich 2008-05-26 05:08:39 UTC
Some hardware seems to be allergic to PIO accesses when there is not taker. So once the BIOS lid close issues are settled we may have to reenable PIO in PCI config space again.
Comment 4 Jeremy Huddleston Sequoia 2011-10-16 16:01:26 UTC
Does this issue occur with the preferred ati driver (xf86-vide-ati)?  If so, please move this to the Driver/Radeon component.  

Development of radeonhd has pretty much halted and development focus is on the ati driver.  Please see http://www.x.org/wiki/radeonhd

If the issue does not exist in the ati driver (or if there is no response to this message), this bug will be closed as WONTFIX unless someone contributes a patch.
Comment 5 Jeremy Huddleston Sequoia 2011-11-07 15:09:37 UTC
Closing due to lack of response.  Please reopen and move to the Driver/Radeon 
component if this issue persists with xf86-video-ati

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.